package sciha.vr;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "sciha.vr", "sciha.vr.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(processBA, wl, true))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "sciha.vr", "sciha.vr.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "sciha.vr.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static String _command = "";
public static String _stchr = "";
public static byte _ap1 = (byte)0;
public static byte _ap2 = (byte)0;
public static byte _ap3 = (byte)0;
public static byte _ap4 = (byte)0;
public static int _btngfrm1clr = 0;
public static int _btngfrm2clr = 0;
public static int _btngfrm3clr = 0;
public static int _btngfrm4clr = 0;
public static int _btngfrm5clr = 0;
public static int _btngfrm6clr = 0;
public static int _btngfrm7clr = 0;
public static int _btngfrm8clr = 0;
public static int _btnffrm1clr = 0;
public static int _btnffrm2clr = 0;
public static int _btnffrm3clr = 0;
public static int _btnffrm4clr = 0;
public static int _btnffrm5clr = 0;
public static int _btnffrm6clr = 0;
public static int _btnffrm7clr = 0;
public static int _btnffrm8clr = 0;
public static String _uid = "";
public static String _addr = "";
public static String _cntrlcod = "";
public static String _actcom = "";
public static String _dadd = "";
public static String _cmndata = "";
public static String _enchr = "";
public static anywheresoftware.b4a.keywords.StringBuilderWrapper _sb = null;
public static anywheresoftware.b4a.objects.SocketWrapper _socket1 = null;
public static anywheresoftware.b4a.randomaccessfile.AsyncStreams _astreams = null;
public static byte[] _buffer = null;
public anywheresoftware.b4a.phone.Phone.VoiceRecognition _vr = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txtcomand = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnspeak = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm5 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm1 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm2 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm3 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm4 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm5 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm6 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm7 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btngfrm8 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm6 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm7 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnffrm8 = null;
public sciha.vr.tcpsend _tcpsend = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 85;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 87;BA.debugLine="Activity.LoadLayout(\"VR\")";
mostCurrent._activity.LoadLayout("VR",mostCurrent.activityBA);
 //BA.debugLineNum = 88;BA.debugLine="Vr.Initialize(\"VR\")";
mostCurrent._vr.Initialize("VR");
 //BA.debugLineNum = 89;BA.debugLine="Socket1.Initialize(\"Socket1\")";
_socket1.Initialize("Socket1");
 //BA.debugLineNum = 90;BA.debugLine="Socket1.Connect(\"10.0.1.125\",8080,2000)";
_socket1.Connect(processBA,"10.0.1.125",(int) (8080),(int) (2000));
 //BA.debugLineNum = 97;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 103;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 105;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 99;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 101;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm1_click() throws Exception{
 //BA.debugLineNum = 857;BA.debugLine="Sub btnFFRm1_Click";
 //BA.debugLineNum = 858;BA.debugLine="Addr = \"100\"";
_addr = "100";
 //BA.debugLineNum = 859;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 860;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 861;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 862;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 863;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 864;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 865;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 866;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 868;BA.debugLine="btnFfRm1clr = Colors.Green";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 869;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 870;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 871;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 872;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 873;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 874;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 875;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 877;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 878;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 879;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 880;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 881;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 882;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 883;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 884;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 886;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 887;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 888;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 889;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 890;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 891;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 892;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 893;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 894;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm2_click() throws Exception{
 //BA.debugLineNum = 895;BA.debugLine="Sub btnFFRm2_Click";
 //BA.debugLineNum = 896;BA.debugLine="Addr = \"110\"";
_addr = "110";
 //BA.debugLineNum = 897;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 898;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 899;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 900;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 901;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 902;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 903;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 904;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 906;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 907;BA.debugLine="btnFfRm2clr = Colors.Green";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 908;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 909;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 910;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 911;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 912;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 913;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 915;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 916;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 917;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 918;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 919;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 920;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 921;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 922;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 924;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 925;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 926;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 927;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 928;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 929;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 930;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 931;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 932;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm3_click() throws Exception{
 //BA.debugLineNum = 933;BA.debugLine="Sub btnFFRm3_Click";
 //BA.debugLineNum = 934;BA.debugLine="Addr = \"120\"";
_addr = "120";
 //BA.debugLineNum = 935;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 936;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 937;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 938;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 939;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 940;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 941;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 942;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 944;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 945;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 946;BA.debugLine="btnFfRm3clr = Colors.Green";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 947;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 948;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 949;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 950;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 951;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 953;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 954;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 955;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 956;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 957;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 958;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 959;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 960;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 962;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 963;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 964;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 965;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 966;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 967;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 968;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 969;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 970;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm4_click() throws Exception{
 //BA.debugLineNum = 971;BA.debugLine="Sub btnFFRm4_Click";
 //BA.debugLineNum = 972;BA.debugLine="Addr = \"130\"";
_addr = "130";
 //BA.debugLineNum = 973;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 974;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 975;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 976;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 977;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 978;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 979;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 980;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 982;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 983;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 984;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 985;BA.debugLine="btnFfRm4clr = Colors.Green";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 986;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 987;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 988;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 989;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 991;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 992;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 993;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 994;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 995;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 996;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 997;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 998;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 1000;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 1001;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 1002;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 1003;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 1004;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 1005;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 1006;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 1007;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 1008;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm5_click() throws Exception{
 //BA.debugLineNum = 1009;BA.debugLine="Sub btnFFRm5_Click";
 //BA.debugLineNum = 1010;BA.debugLine="Addr = \"140\"";
_addr = "140";
 //BA.debugLineNum = 1011;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1012;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1013;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1014;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1015;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1016;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1017;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1018;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1020;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1021;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1022;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1023;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1024;BA.debugLine="btnFfRm5clr = Colors.Green";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 1025;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1026;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1027;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1029;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 1030;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 1031;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 1032;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 1033;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 1034;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 1035;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 1036;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 1038;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 1039;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 1040;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 1041;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 1042;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 1043;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 1044;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 1045;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 1046;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm6_click() throws Exception{
 //BA.debugLineNum = 1047;BA.debugLine="Sub BtnFfRm6_Click";
 //BA.debugLineNum = 1048;BA.debugLine="Addr = \"150\"";
_addr = "150";
 //BA.debugLineNum = 1049;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1050;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1051;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1052;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1053;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1054;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1055;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1056;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1058;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1059;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1060;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1061;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1062;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1063;BA.debugLine="btnFFRm6clr = Colors.Green";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 1064;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1065;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1067;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 1068;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 1069;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 1070;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 1071;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 1072;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 1073;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 1074;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 1076;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 1077;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 1078;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 1079;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 1080;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 1081;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 1082;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 1083;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 1084;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm7_click() throws Exception{
 //BA.debugLineNum = 1085;BA.debugLine="Sub BtnFfRm7_Click";
 //BA.debugLineNum = 1086;BA.debugLine="Addr = \"160\"";
_addr = "160";
 //BA.debugLineNum = 1087;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1088;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1089;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1090;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1091;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1092;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1093;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1094;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1096;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1097;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1098;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1099;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1100;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1101;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1102;BA.debugLine="btnFfRm7clr = Colors.Green";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 1103;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1105;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 1106;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 1107;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 1108;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 1109;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 1110;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 1111;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 1112;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 1114;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 1115;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 1116;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 1117;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 1118;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 1119;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 1120;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 1121;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 1122;BA.debugLine="End Sub";
return "";
}
public static String  _btnffrm8_click() throws Exception{
 //BA.debugLineNum = 1123;BA.debugLine="Sub BtnFfRm8_Click";
 //BA.debugLineNum = 1124;BA.debugLine="Addr = \"170\"";
_addr = "170";
 //BA.debugLineNum = 1125;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1126;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1127;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1128;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1129;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1130;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1131;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1132;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1134;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1135;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1136;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1137;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1138;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1139;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1140;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 1141;BA.debugLine="btnFfRm8clr = Colors.Green";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 1143;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 1144;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 1145;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 1146;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 1147;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 1148;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 1149;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 1150;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 1152;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 1153;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 1154;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 1155;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 1156;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 1157;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 1158;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 1159;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 1160;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm1_click() throws Exception{
 //BA.debugLineNum = 553;BA.debugLine="Sub BtnGfRm1_Click";
 //BA.debugLineNum = 554;BA.debugLine="Addr = \"000\"";
_addr = "000";
 //BA.debugLineNum = 555;BA.debugLine="btnGfRm1clr = Colors.Green";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 556;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 557;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 558;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 559;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 560;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 561;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 562;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 564;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 565;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 566;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 567;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 568;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 569;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 570;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 571;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 573;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 574;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 575;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 576;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 577;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 578;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 579;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 580;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 582;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 583;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 584;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 585;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 586;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 587;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 588;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 589;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 590;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm2_click() throws Exception{
 //BA.debugLineNum = 591;BA.debugLine="Sub BtnGfRm2_Click";
 //BA.debugLineNum = 592;BA.debugLine="Addr = \"010\"";
_addr = "010";
 //BA.debugLineNum = 593;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 594;BA.debugLine="btnGfRm2clr = Colors.Green";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 595;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 596;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 597;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 598;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 599;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 600;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 602;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 603;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 604;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 605;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 606;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 607;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 608;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 609;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 611;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 612;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 613;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 614;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 615;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 616;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 617;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 618;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 620;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 621;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 622;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 623;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 624;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 625;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 626;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 627;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 628;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm3_click() throws Exception{
 //BA.debugLineNum = 629;BA.debugLine="Sub btnGfRm3_Click";
 //BA.debugLineNum = 630;BA.debugLine="Addr = \"020\"";
_addr = "020";
 //BA.debugLineNum = 631;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 632;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 633;BA.debugLine="btnGfRm3clr = Colors.Green";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 634;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 635;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 636;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 637;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 638;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 640;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 641;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 642;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 643;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 644;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 645;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 646;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 647;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 649;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 650;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 651;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 652;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 653;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 654;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 655;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 656;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 658;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 659;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 660;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 661;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 662;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 663;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 664;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 665;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 666;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm4_click() throws Exception{
 //BA.debugLineNum = 667;BA.debugLine="Sub btnGfRm4_Click";
 //BA.debugLineNum = 668;BA.debugLine="Addr = \"030\"";
_addr = "030";
 //BA.debugLineNum = 669;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 670;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 671;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 672;BA.debugLine="btnGfRm4clr = Colors.Green";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 673;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 674;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 675;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 676;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 678;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 679;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 680;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 681;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 682;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 683;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 684;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 685;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 687;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 688;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 689;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 690;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 691;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 692;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 693;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 694;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 696;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 697;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 698;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 699;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 700;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 701;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 702;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 703;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 704;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm5_click() throws Exception{
 //BA.debugLineNum = 705;BA.debugLine="Sub btnGfRm5_Click";
 //BA.debugLineNum = 706;BA.debugLine="Addr = \"040\"";
_addr = "040";
 //BA.debugLineNum = 707;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 708;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 709;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 710;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 711;BA.debugLine="btnGfRm5clr = Colors.Green";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 712;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 713;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 714;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 716;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 717;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 718;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 719;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 720;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 721;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 722;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 723;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 725;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 726;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 727;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 728;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 729;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 730;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 731;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 732;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 734;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 735;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 736;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 737;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 738;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 739;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 740;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 741;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 742;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm6_click() throws Exception{
 //BA.debugLineNum = 743;BA.debugLine="Sub BtnGfRm6_Click";
 //BA.debugLineNum = 744;BA.debugLine="Addr = \"050\"";
_addr = "050";
 //BA.debugLineNum = 745;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 746;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 747;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 748;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 749;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 750;BA.debugLine="btnGfRm6clr = Colors.Green";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 751;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 752;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 754;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 755;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 756;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 757;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 758;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 759;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 760;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 761;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 763;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 764;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 765;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 766;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 767;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 768;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 769;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 770;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 772;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 773;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 774;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 775;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 776;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 777;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 778;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 779;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 780;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm7_click() throws Exception{
 //BA.debugLineNum = 781;BA.debugLine="Sub btnGfRm7_Click";
 //BA.debugLineNum = 782;BA.debugLine="Addr = \"060\"";
_addr = "060";
 //BA.debugLineNum = 783;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 784;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 785;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 786;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 787;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 788;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 789;BA.debugLine="btnGfRm7clr = Colors.Green";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 790;BA.debugLine="btnGfRm8clr = Colors.Yellow";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 792;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 793;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 794;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 795;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 796;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 797;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 798;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 799;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 801;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 802;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 803;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 804;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 805;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 806;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 807;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 808;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 810;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 811;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 812;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 813;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 814;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 815;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 816;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 817;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 818;BA.debugLine="End Sub";
return "";
}
public static String  _btngfrm8_click() throws Exception{
 //BA.debugLineNum = 819;BA.debugLine="Sub btnGfRm8_Click";
 //BA.debugLineNum = 820;BA.debugLine="Addr = \"070\"";
_addr = "070";
 //BA.debugLineNum = 821;BA.debugLine="btnGfRm1clr = Colors.Yellow";
_btngfrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 822;BA.debugLine="btnGfRm2clr = Colors.Yellow";
_btngfrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 823;BA.debugLine="btnGfRm3clr = Colors.Yellow";
_btngfrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 824;BA.debugLine="btnGfRm4clr = Colors.Yellow";
_btngfrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 825;BA.debugLine="btnGfRm5clr = Colors.Yellow";
_btngfrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 826;BA.debugLine="btnGfRm6clr = Colors.Yellow";
_btngfrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 827;BA.debugLine="btnGfRm7clr = Colors.Yellow";
_btngfrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 828;BA.debugLine="btnGfRm8clr = Colors.Green";
_btngfrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Green;
 //BA.debugLineNum = 830;BA.debugLine="btnFfRm1clr = Colors.Yellow";
_btnffrm1clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 831;BA.debugLine="btnFfRm2clr = Colors.Yellow";
_btnffrm2clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 832;BA.debugLine="btnFfRm3clr = Colors.Yellow";
_btnffrm3clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 833;BA.debugLine="btnFfRm4clr = Colors.Yellow";
_btnffrm4clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 834;BA.debugLine="btnFfRm5clr = Colors.Yellow";
_btnffrm5clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 835;BA.debugLine="btnFFRm6clr = Colors.Yellow";
_btnffrm6clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 836;BA.debugLine="btnFfRm7clr = Colors.Yellow";
_btnffrm7clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 837;BA.debugLine="btnFfRm8clr = Colors.Yellow";
_btnffrm8clr = anywheresoftware.b4a.keywords.Common.Colors.Yellow;
 //BA.debugLineNum = 839;BA.debugLine="BtnGfRm1.Color = btnGfRm1clr";
mostCurrent._btngfrm1.setColor(_btngfrm1clr);
 //BA.debugLineNum = 840;BA.debugLine="BtnGfRm2.Color = btnGfRm2clr";
mostCurrent._btngfrm2.setColor(_btngfrm2clr);
 //BA.debugLineNum = 841;BA.debugLine="btnGfRm3.Color = btnGfRm3clr";
mostCurrent._btngfrm3.setColor(_btngfrm3clr);
 //BA.debugLineNum = 842;BA.debugLine="btnGfRm4.Color = btnGfRm4clr";
mostCurrent._btngfrm4.setColor(_btngfrm4clr);
 //BA.debugLineNum = 843;BA.debugLine="btnGfRm5.Color = btnGfRm5clr";
mostCurrent._btngfrm5.setColor(_btngfrm5clr);
 //BA.debugLineNum = 844;BA.debugLine="BtnGfRm6.Color = btnGfRm6clr";
mostCurrent._btngfrm6.setColor(_btngfrm6clr);
 //BA.debugLineNum = 845;BA.debugLine="btnGfRm7.Color = btnGfRm7clr";
mostCurrent._btngfrm7.setColor(_btngfrm7clr);
 //BA.debugLineNum = 846;BA.debugLine="btnGfRm8.Color = btnGfRm8clr";
mostCurrent._btngfrm8.setColor(_btngfrm8clr);
 //BA.debugLineNum = 848;BA.debugLine="btnFFRm1.Color = btnFfRm1clr";
mostCurrent._btnffrm1.setColor(_btnffrm1clr);
 //BA.debugLineNum = 849;BA.debugLine="btnFFRm2.Color = btnFfRm2clr";
mostCurrent._btnffrm2.setColor(_btnffrm2clr);
 //BA.debugLineNum = 850;BA.debugLine="btnFFRm3.Color = btnFfRm3clr";
mostCurrent._btnffrm3.setColor(_btnffrm3clr);
 //BA.debugLineNum = 851;BA.debugLine="btnFFRm4.Color = btnFfRm4clr";
mostCurrent._btnffrm4.setColor(_btnffrm4clr);
 //BA.debugLineNum = 852;BA.debugLine="btnFFRm5.Color = btnFfRm5clr";
mostCurrent._btnffrm5.setColor(_btnffrm5clr);
 //BA.debugLineNum = 853;BA.debugLine="BtnFfRm6.Color = btnFFRm6clr";
mostCurrent._btnffrm6.setColor(_btnffrm6clr);
 //BA.debugLineNum = 854;BA.debugLine="BtnFfRm7.Color = btnFfRm7clr";
mostCurrent._btnffrm7.setColor(_btnffrm7clr);
 //BA.debugLineNum = 855;BA.debugLine="BtnFfRm8.Color = btnFfRm8clr";
mostCurrent._btnffrm8.setColor(_btnffrm8clr);
 //BA.debugLineNum = 856;BA.debugLine="End Sub";
return "";
}
public static String  _btnspeak_click() throws Exception{
 //BA.debugLineNum = 549;BA.debugLine="Sub btnSpeak_Click";
 //BA.debugLineNum = 550;BA.debugLine="txtComand.Text = \"\"";
mostCurrent._txtcomand.setText((Object)(""));
 //BA.debugLineNum = 551;BA.debugLine="Vr.Listen";
mostCurrent._vr.Listen(processBA);
 //BA.debugLineNum = 552;BA.debugLine="End Sub";
return "";
}
public static String  _btnspeak_longclick() throws Exception{
 //BA.debugLineNum = 1161;BA.debugLine="Sub btnSpeak_LongClick";
 //BA.debugLineNum = 1163;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 60;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 63;BA.debugLine="Dim Vr As VoiceRecognition";
mostCurrent._vr = new anywheresoftware.b4a.phone.Phone.VoiceRecognition();
 //BA.debugLineNum = 64;BA.debugLine="Private txtComand As EditText";
mostCurrent._txtcomand = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 65;BA.debugLine="Private btnSpeak As Button";
mostCurrent._btnspeak = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 67;BA.debugLine="Private BtnGfRm1 As Button";
mostCurrent._btngfrm1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 68;BA.debugLine="Private BtnGfRm2 As Button";
mostCurrent._btngfrm2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 69;BA.debugLine="Private btnGfRm3 As Button";
mostCurrent._btngfrm3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 70;BA.debugLine="Private btnGfRm4 As Button";
mostCurrent._btngfrm4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 71;BA.debugLine="Private btnGfRm5 As Button";
mostCurrent._btngfrm5 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 72;BA.debugLine="Private btnFFRm1 As Button";
mostCurrent._btnffrm1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 73;BA.debugLine="Private btnFFRm2 As Button";
mostCurrent._btnffrm2 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 74;BA.debugLine="Private btnFFRm3 As Button";
mostCurrent._btnffrm3 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 75;BA.debugLine="Private btnFFRm4 As Button";
mostCurrent._btnffrm4 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 76;BA.debugLine="Private btnFFRm5 As Button";
mostCurrent._btnffrm5 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 77;BA.debugLine="Private BtnGfRm6 As Button";
mostCurrent._btngfrm6 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 78;BA.debugLine="Private btnGfRm7 As Button";
mostCurrent._btngfrm7 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 79;BA.debugLine="Private btnGfRm8 As Button";
mostCurrent._btngfrm8 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 80;BA.debugLine="Private BtnFfRm6 As Button";
mostCurrent._btnffrm6 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 81;BA.debugLine="Private BtnFfRm7 As Button";
mostCurrent._btnffrm7 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 82;BA.debugLine="Private BtnFfRm8 As Button";
mostCurrent._btnffrm8 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 83;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
tcpsend._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 18;BA.debugLine="Dim Command As String";
_command = "";
 //BA.debugLineNum = 20;BA.debugLine="Dim Stchr As String";
_stchr = "";
 //BA.debugLineNum = 21;BA.debugLine="Dim Ap1 As Byte";
_ap1 = (byte)0;
 //BA.debugLineNum = 22;BA.debugLine="Dim Ap2 As Byte";
_ap2 = (byte)0;
 //BA.debugLineNum = 23;BA.debugLine="Dim Ap3 As Byte";
_ap3 = (byte)0;
 //BA.debugLineNum = 24;BA.debugLine="Dim Ap4 As Byte";
_ap4 = (byte)0;
 //BA.debugLineNum = 25;BA.debugLine="Dim btnGfRm1clr As Int";
_btngfrm1clr = 0;
 //BA.debugLineNum = 26;BA.debugLine="Dim btnGfRm2clr As Int";
_btngfrm2clr = 0;
 //BA.debugLineNum = 27;BA.debugLine="Dim btnGfRm3clr As Int";
_btngfrm3clr = 0;
 //BA.debugLineNum = 28;BA.debugLine="Dim btnGfRm4clr As Int";
_btngfrm4clr = 0;
 //BA.debugLineNum = 29;BA.debugLine="Dim btnGfRm5clr As Int";
_btngfrm5clr = 0;
 //BA.debugLineNum = 30;BA.debugLine="Dim btnGfRm6clr As Int";
_btngfrm6clr = 0;
 //BA.debugLineNum = 31;BA.debugLine="Dim btnGfRm7clr As Int";
_btngfrm7clr = 0;
 //BA.debugLineNum = 32;BA.debugLine="Dim btnGfRm8clr As Int";
_btngfrm8clr = 0;
 //BA.debugLineNum = 33;BA.debugLine="Dim btnFfRm1clr As Int";
_btnffrm1clr = 0;
 //BA.debugLineNum = 34;BA.debugLine="Dim btnFfRm2clr As Int";
_btnffrm2clr = 0;
 //BA.debugLineNum = 35;BA.debugLine="Dim btnFfRm3clr As Int";
_btnffrm3clr = 0;
 //BA.debugLineNum = 36;BA.debugLine="Dim btnFfRm4clr As Int";
_btnffrm4clr = 0;
 //BA.debugLineNum = 37;BA.debugLine="Dim btnFfRm5clr As Int";
_btnffrm5clr = 0;
 //BA.debugLineNum = 38;BA.debugLine="Dim btnFFRm6clr As Int";
_btnffrm6clr = 0;
 //BA.debugLineNum = 39;BA.debugLine="Dim btnFfRm7clr As Int";
_btnffrm7clr = 0;
 //BA.debugLineNum = 40;BA.debugLine="Dim btnFfRm8clr As Int";
_btnffrm8clr = 0;
 //BA.debugLineNum = 42;BA.debugLine="Dim Uid As String";
_uid = "";
 //BA.debugLineNum = 43;BA.debugLine="Dim Addr As String";
_addr = "";
 //BA.debugLineNum = 44;BA.debugLine="Dim Cntrlcod As String";
_cntrlcod = "";
 //BA.debugLineNum = 45;BA.debugLine="Dim Actcom As String";
_actcom = "";
 //BA.debugLineNum = 46;BA.debugLine="Dim Dadd As String";
_dadd = "";
 //BA.debugLineNum = 47;BA.debugLine="Dim Cmndata As String";
_cmndata = "";
 //BA.debugLineNum = 48;BA.debugLine="Dim Enchr As String";
_enchr = "";
 //BA.debugLineNum = 49;BA.debugLine="Dim Sb As StringBuilder";
_sb = new anywheresoftware.b4a.keywords.StringBuilderWrapper();
 //BA.debugLineNum = 50;BA.debugLine="Dim Socket1 As Socket";
_socket1 = new anywheresoftware.b4a.objects.SocketWrapper();
 //BA.debugLineNum = 51;BA.debugLine="Dim Astreams As AsyncStreams";
_astreams = new anywheresoftware.b4a.randomaccessfile.AsyncStreams();
 //BA.debugLineNum = 52;BA.debugLine="Dim Buffer() As Byte";
_buffer = new byte[(int) (0)];
;
 //BA.debugLineNum = 54;BA.debugLine="Stchr = \"$\"";
_stchr = "$";
 //BA.debugLineNum = 55;BA.debugLine="Enchr = \"?\"";
_enchr = "?";
 //BA.debugLineNum = 56;BA.debugLine="Uid = \"SCI\"";
_uid = "SCI";
 //BA.debugLineNum = 57;BA.debugLine="Addr = \"000\"";
_addr = "000";
 //BA.debugLineNum = 58;BA.debugLine="End Sub";
return "";
}
public static boolean  _socket1_connected(boolean _connected) throws Exception{
 //BA.debugLineNum = 106;BA.debugLine="Sub Socket1_Connected(Connected As Boolean)As Bool";
 //BA.debugLineNum = 107;BA.debugLine="If Connected = True Then";
if (_connected==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 108;BA.debugLine="Msgbox(\"Hello Am Connected, Please Click OK belo";
anywheresoftware.b4a.keywords.Common.Msgbox("Hello Am Connected, Please Click OK below to Continue","OK",mostCurrent.activityBA);
 //BA.debugLineNum = 109;BA.debugLine="Astreams.Initialize(Socket1.InputStream,So";
_astreams.Initialize(processBA,_socket1.getInputStream(),_socket1.getOutputStream(),"Astreams");
 };
 //BA.debugLineNum = 111;BA.debugLine="End Sub";
return false;
}
public static String  _vr_result(boolean _sucess,anywheresoftware.b4a.objects.collections.List _texts) throws Exception{
 //BA.debugLineNum = 112;BA.debugLine="Sub Vr_Result(Sucess As Boolean, Texts As List)";
 //BA.debugLineNum = 113;BA.debugLine="If Sucess = True Then";
if (_sucess==anywheresoftware.b4a.keywords.Common.True) { 
 //BA.debugLineNum = 114;BA.debugLine="txtComand.text = Texts.Get(0)";
mostCurrent._txtcomand.setText(_texts.Get((int) (0)));
 //BA.debugLineNum = 115;BA.debugLine="Select Case txtComand.Text";
switch (BA.switchObjectToInt(mostCurrent._txtcomand.getText(),"scene 1","scene 2","scene 3","scene 4","scene 5","scene 6","scene 7","scene 8","L1","L2","L3","L4","all off","fan speed 1","fan speed 2","fan speed 3","fan speed 4","fan stop","tv on","tv off","ac on","ac off","set top box on","set top box off","volume up","volume down","channel up","channel down","favourite","mute","change source","star movies hd","colorus hd","sony hd","life ok hd","zee tv hd","times now","cnn ibn","bbc","gemini comedy","gemini music","gemini movies","maa tv","maa music","maa movies","tv9","tv5","gimini movies","star plus hd","nat geo hd","discovery hd","movies now","disney junior","disney xd","discovery kids","hungama","pogo","cartoon network","nic","hbo","hbo defined","hbo hits","ndtv good times","bindass"," e24","svbc")) {
case 0:
 //BA.debugLineNum = 117;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 118;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 119;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 120;BA.debugLine="Cmndata = \"1\"";
_cmndata = "1";
 //BA.debugLineNum = 121;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 1:
 //BA.debugLineNum = 123;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 124;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 125;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 126;BA.debugLine="Cmndata = \"2\"";
_cmndata = "2";
 //BA.debugLineNum = 127;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 2:
 //BA.debugLineNum = 129;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 130;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 131;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 132;BA.debugLine="Cmndata = \"3\"";
_cmndata = "3";
 //BA.debugLineNum = 133;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 3:
 //BA.debugLineNum = 135;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 136;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 137;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 138;BA.debugLine="Cmndata = \"4\"";
_cmndata = "4";
 //BA.debugLineNum = 139;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 4:
 //BA.debugLineNum = 141;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 142;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 143;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 144;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 145;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 5:
 //BA.debugLineNum = 147;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 148;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 149;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 150;BA.debugLine="Cmndata = \"6\"";
_cmndata = "6";
 //BA.debugLineNum = 151;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 6:
 //BA.debugLineNum = 153;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 154;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 155;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 156;BA.debugLine="Cmndata = \"1\"";
_cmndata = "1";
 //BA.debugLineNum = 157;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 7:
 //BA.debugLineNum = 159;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 160;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 161;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 162;BA.debugLine="Cmndata = \"8\"";
_cmndata = "8";
 //BA.debugLineNum = 163;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 8:
 //BA.debugLineNum = 165;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 166;BA.debugLine="Actcom = \"D\"";
_actcom = "D";
 //BA.debugLineNum = 167;BA.debugLine="If Ap1 = 0 Then";
if (_ap1==0) { 
 //BA.debugLineNum = 168;BA.debugLine="Dadd = \"a1\"";
_dadd = "a1";
 //BA.debugLineNum = 169;BA.debugLine="Ap1 = 1";
_ap1 = (byte) (1);
 }else {
 //BA.debugLineNum = 171;BA.debugLine="Ap1 = 0";
_ap1 = (byte) (0);
 //BA.debugLineNum = 172;BA.debugLine="Dadd = \"a0\"";
_dadd = "a0";
 };
 //BA.debugLineNum = 174;BA.debugLine="Cmndata = \"a\"";
_cmndata = "a";
 //BA.debugLineNum = 175;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 9:
 //BA.debugLineNum = 177;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 178;BA.debugLine="Actcom = \"D\"";
_actcom = "D";
 //BA.debugLineNum = 179;BA.debugLine="If Ap2 = 0 Then";
if (_ap2==0) { 
 //BA.debugLineNum = 180;BA.debugLine="Dadd = \"b1\"";
_dadd = "b1";
 //BA.debugLineNum = 181;BA.debugLine="Ap2 = 1";
_ap2 = (byte) (1);
 }else {
 //BA.debugLineNum = 183;BA.debugLine="Ap2 = 0";
_ap2 = (byte) (0);
 //BA.debugLineNum = 184;BA.debugLine="Dadd = \"b0\"";
_dadd = "b0";
 };
 //BA.debugLineNum = 186;BA.debugLine="Cmndata = \"a\"";
_cmndata = "a";
 //BA.debugLineNum = 187;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 10:
 //BA.debugLineNum = 189;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 190;BA.debugLine="Actcom = \"D\"";
_actcom = "D";
 //BA.debugLineNum = 191;BA.debugLine="If Ap3 = 0 Then";
if (_ap3==0) { 
 //BA.debugLineNum = 192;BA.debugLine="Dadd = \"c1\"";
_dadd = "c1";
 //BA.debugLineNum = 193;BA.debugLine="Ap3 = 1";
_ap3 = (byte) (1);
 }else {
 //BA.debugLineNum = 195;BA.debugLine="Ap3 = 0";
_ap3 = (byte) (0);
 //BA.debugLineNum = 196;BA.debugLine="Dadd = \"c0\"";
_dadd = "c0";
 };
 //BA.debugLineNum = 198;BA.debugLine="Cmndata = \"a\"";
_cmndata = "a";
 //BA.debugLineNum = 199;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 11:
 //BA.debugLineNum = 201;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 202;BA.debugLine="Actcom = \"D\"";
_actcom = "D";
 //BA.debugLineNum = 203;BA.debugLine="If Ap4 = 0 Then";
if (_ap4==0) { 
 //BA.debugLineNum = 204;BA.debugLine="Dadd = \"d1\"";
_dadd = "d1";
 //BA.debugLineNum = 205;BA.debugLine="Ap4 = 1";
_ap4 = (byte) (1);
 }else {
 //BA.debugLineNum = 207;BA.debugLine="Ap4 = 0";
_ap4 = (byte) (0);
 //BA.debugLineNum = 208;BA.debugLine="Dadd = \"d0\"";
_dadd = "d0";
 };
 //BA.debugLineNum = 210;BA.debugLine="Cmndata = \"a\"";
_cmndata = "a";
 //BA.debugLineNum = 211;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 12:
 //BA.debugLineNum = 213;BA.debugLine="Cntrlcod = \"LI\"";
_cntrlcod = "LI";
 //BA.debugLineNum = 214;BA.debugLine="Actcom = \"S\"";
_actcom = "S";
 //BA.debugLineNum = 215;BA.debugLine="Dadd = \"00\"";
_dadd = "00";
 //BA.debugLineNum = 216;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 217;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 //BA.debugLineNum = 218;BA.debugLine="Cntrlcod = \"FN\"";
_cntrlcod = "FN";
 //BA.debugLineNum = 219;BA.debugLine="Actcom = \"X\"";
_actcom = "X";
 //BA.debugLineNum = 220;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 221;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 222;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 13:
 //BA.debugLineNum = 225;BA.debugLine="Cntrlcod = \"FN\"";
_cntrlcod = "FN";
 //BA.debugLineNum = 226;BA.debugLine="Actcom = \"X\"";
_actcom = "X";
 //BA.debugLineNum = 227;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 228;BA.debugLine="Cmndata = \"1\"";
_cmndata = "1";
 //BA.debugLineNum = 229;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 14:
 //BA.debugLineNum = 231;BA.debugLine="Cntrlcod = \"FN\"";
_cntrlcod = "FN";
 //BA.debugLineNum = 232;BA.debugLine="Actcom = \"X\"";
_actcom = "X";
 //BA.debugLineNum = 233;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 234;BA.debugLine="Cmndata = \"2\"";
_cmndata = "2";
 //BA.debugLineNum = 235;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 15:
 //BA.debugLineNum = 237;BA.debugLine="Cntrlcod = \"FN\"";
_cntrlcod = "FN";
 //BA.debugLineNum = 238;BA.debugLine="Actcom = \"X\"";
_actcom = "X";
 //BA.debugLineNum = 239;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 240;BA.debugLine="Cmndata = \"3\"";
_cmndata = "3";
 //BA.debugLineNum = 241;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 16:
 //BA.debugLineNum = 243;BA.debugLine="Cntrlcod = \"FN\"";
_cntrlcod = "FN";
 //BA.debugLineNum = 244;BA.debugLine="Actcom = \"X\"";
_actcom = "X";
 //BA.debugLineNum = 245;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 246;BA.debugLine="Cmndata = \"4\"";
_cmndata = "4";
 //BA.debugLineNum = 247;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 17:
 //BA.debugLineNum = 249;BA.debugLine="Cntrlcod = \"FN\"";
_cntrlcod = "FN";
 //BA.debugLineNum = 250;BA.debugLine="Actcom = \"X\"";
_actcom = "X";
 //BA.debugLineNum = 251;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 252;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 253;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 18:
 //BA.debugLineNum = 255;BA.debugLine="Cntrlcod = \"TV\"";
_cntrlcod = "TV";
 //BA.debugLineNum = 256;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 257;BA.debugLine="Dadd = \"PN\"";
_dadd = "PN";
 //BA.debugLineNum = 258;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 259;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 19:
 //BA.debugLineNum = 261;BA.debugLine="Cntrlcod = \"TV\"";
_cntrlcod = "TV";
 //BA.debugLineNum = 262;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 263;BA.debugLine="Dadd = \"PN\"";
_dadd = "PN";
 //BA.debugLineNum = 264;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 265;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 20:
 //BA.debugLineNum = 267;BA.debugLine="Cntrlcod = \"AC\"";
_cntrlcod = "AC";
 //BA.debugLineNum = 268;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 269;BA.debugLine="Dadd = \"PN\"";
_dadd = "PN";
 //BA.debugLineNum = 270;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 271;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 21:
 //BA.debugLineNum = 273;BA.debugLine="Cntrlcod = \"AC\"";
_cntrlcod = "AC";
 //BA.debugLineNum = 274;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 275;BA.debugLine="Dadd = \"PF\"";
_dadd = "PF";
 //BA.debugLineNum = 276;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 277;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 22:
 //BA.debugLineNum = 279;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 280;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 281;BA.debugLine="Dadd = \"PN\"";
_dadd = "PN";
 //BA.debugLineNum = 282;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 283;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 23:
 //BA.debugLineNum = 285;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 286;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 287;BA.debugLine="Dadd = \"PN\"";
_dadd = "PN";
 //BA.debugLineNum = 288;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 289;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 24:
 //BA.debugLineNum = 291;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 292;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 293;BA.debugLine="Dadd = \"V+\"";
_dadd = "V+";
 //BA.debugLineNum = 294;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 295;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 25:
 //BA.debugLineNum = 297;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 298;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 299;BA.debugLine="Dadd = \"V-\"";
_dadd = "V-";
 //BA.debugLineNum = 300;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 301;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 26:
 //BA.debugLineNum = 303;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 304;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 305;BA.debugLine="Dadd = \"C+\"";
_dadd = "C+";
 //BA.debugLineNum = 306;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 307;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 27:
 //BA.debugLineNum = 309;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 310;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 311;BA.debugLine="Dadd = \"C-\"";
_dadd = "C-";
 //BA.debugLineNum = 312;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 313;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 28:
 //BA.debugLineNum = 315;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 316;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 317;BA.debugLine="Dadd = \"FV\"";
_dadd = "FV";
 //BA.debugLineNum = 318;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 319;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 29:
 //BA.debugLineNum = 321;BA.debugLine="Cntrlcod = \"TV\"";
_cntrlcod = "TV";
 //BA.debugLineNum = 322;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 323;BA.debugLine="Dadd = \"MU\"";
_dadd = "MU";
 //BA.debugLineNum = 324;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 325;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 30:
 //BA.debugLineNum = 327;BA.debugLine="Cntrlcod = \"TV\"";
_cntrlcod = "TV";
 //BA.debugLineNum = 328;BA.debugLine="Actcom = \"C\"";
_actcom = "C";
 //BA.debugLineNum = 329;BA.debugLine="Dadd = \"CS\"";
_dadd = "CS";
 //BA.debugLineNum = 330;BA.debugLine="Cmndata = \"X\"";
_cmndata = "X";
 //BA.debugLineNum = 331;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 31:
 //BA.debugLineNum = 333;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 334;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 335;BA.debugLine="Dadd = \"34\"";
_dadd = "34";
 //BA.debugLineNum = 336;BA.debugLine="Cmndata = \"2\"";
_cmndata = "2";
 //BA.debugLineNum = 337;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 32:
 //BA.debugLineNum = 339;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 340;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 341;BA.debugLine="Dadd = \"12\"";
_dadd = "12";
 //BA.debugLineNum = 342;BA.debugLine="Cmndata = \"4\"";
_cmndata = "4";
 //BA.debugLineNum = 343;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 33:
 //BA.debugLineNum = 345;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 346;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 347;BA.debugLine="Dadd = \"11\"";
_dadd = "11";
 //BA.debugLineNum = 348;BA.debugLine="Cmndata = \"2\"";
_cmndata = "2";
 //BA.debugLineNum = 349;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 34:
 //BA.debugLineNum = 351;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 352;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 353;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 354;BA.debugLine="Cmndata = \"8\"";
_cmndata = "8";
 //BA.debugLineNum = 355;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 35:
 //BA.debugLineNum = 357;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 358;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 359;BA.debugLine="Dadd = \"11\"";
_dadd = "11";
 //BA.debugLineNum = 360;BA.debugLine="Cmndata = \"8\"";
_cmndata = "8";
 //BA.debugLineNum = 361;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 36:
 //BA.debugLineNum = 363;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 364;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 365;BA.debugLine="Dadd = \"50\"";
_dadd = "50";
 //BA.debugLineNum = 366;BA.debugLine="Cmndata = \"7\"";
_cmndata = "7";
 //BA.debugLineNum = 367;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 37:
 //BA.debugLineNum = 369;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 370;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 371;BA.debugLine="Dadd = \"51\"";
_dadd = "51";
 //BA.debugLineNum = 372;BA.debugLine="Cmndata = \"4\"";
_cmndata = "4";
 //BA.debugLineNum = 373;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 38:
 //BA.debugLineNum = 375;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 376;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 377;BA.debugLine="Dadd = \"51\"";
_dadd = "51";
 //BA.debugLineNum = 378;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 379;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 39:
 //BA.debugLineNum = 381;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 382;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 383;BA.debugLine="Dadd = \"75\"";
_dadd = "75";
 //BA.debugLineNum = 384;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 385;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 40:
 //BA.debugLineNum = 387;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 388;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 389;BA.debugLine="Dadd = \"75\"";
_dadd = "75";
 //BA.debugLineNum = 390;BA.debugLine="Cmndata = \"1\"";
_cmndata = "1";
 //BA.debugLineNum = 391;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 41:
 //BA.debugLineNum = 393;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 394;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 395;BA.debugLine="Dadd = \"74\"";
_dadd = "74";
 //BA.debugLineNum = 396;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 397;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 42:
 //BA.debugLineNum = 399;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 400;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 401;BA.debugLine="Dadd = \"75\"";
_dadd = "75";
 //BA.debugLineNum = 402;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 403;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 43:
 //BA.debugLineNum = 405;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 406;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 407;BA.debugLine="Dadd = \"76\"";
_dadd = "76";
 //BA.debugLineNum = 408;BA.debugLine="Cmndata = \"1\"";
_cmndata = "1";
 //BA.debugLineNum = 409;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 44:
 //BA.debugLineNum = 411;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 412;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 413;BA.debugLine="Dadd = \"76\"";
_dadd = "76";
 //BA.debugLineNum = 414;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 415;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 45:
 //BA.debugLineNum = 417;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 418;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 419;BA.debugLine="Dadd = \"75\"";
_dadd = "75";
 //BA.debugLineNum = 420;BA.debugLine="Cmndata = \"8\"";
_cmndata = "8";
 //BA.debugLineNum = 421;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 46:
 //BA.debugLineNum = 423;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 424;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 425;BA.debugLine="Dadd = \"75\"";
_dadd = "75";
 //BA.debugLineNum = 426;BA.debugLine="Cmndata = \"7\"";
_cmndata = "7";
 //BA.debugLineNum = 427;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 47:
 //BA.debugLineNum = 429;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 430;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 431;BA.debugLine="Dadd = \"74\"";
_dadd = "74";
 //BA.debugLineNum = 432;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 433;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 48:
 //BA.debugLineNum = 435;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 436;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 437;BA.debugLine="Dadd = \"10\"";
_dadd = "10";
 //BA.debugLineNum = 438;BA.debugLine="Cmndata = \"6\"";
_cmndata = "6";
 //BA.debugLineNum = 439;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 49:
 //BA.debugLineNum = 441;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 442;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 443;BA.debugLine="Dadd = \"55\"";
_dadd = "55";
 //BA.debugLineNum = 444;BA.debugLine="Cmndata = \"2\"";
_cmndata = "2";
 //BA.debugLineNum = 445;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 50:
 //BA.debugLineNum = 447;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 448;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 449;BA.debugLine="Dadd = \"55\"";
_dadd = "55";
 //BA.debugLineNum = 450;BA.debugLine="Cmndata = \"8\"";
_cmndata = "8";
 //BA.debugLineNum = 451;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 51:
 //BA.debugLineNum = 453;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 454;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 455;BA.debugLine="Dadd = \"35\"";
_dadd = "35";
 //BA.debugLineNum = 456;BA.debugLine="Cmndata = \"4\"";
_cmndata = "4";
 //BA.debugLineNum = 457;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 52:
 //BA.debugLineNum = 459;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 460;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 461;BA.debugLine="Dadd = \"62\"";
_dadd = "62";
 //BA.debugLineNum = 462;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 463;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 53:
 //BA.debugLineNum = 465;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 466;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 467;BA.debugLine="Dadd = \"60\"";
_dadd = "60";
 //BA.debugLineNum = 468;BA.debugLine="Cmndata = \"7\"";
_cmndata = "7";
 //BA.debugLineNum = 469;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 54:
 //BA.debugLineNum = 471;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 472;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 473;BA.debugLine="Dadd = \"61\"";
_dadd = "61";
 //BA.debugLineNum = 474;BA.debugLine="Cmndata = \"7\"";
_cmndata = "7";
 //BA.debugLineNum = 475;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 55:
 //BA.debugLineNum = 478;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 479;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 480;BA.debugLine="Dadd = \"60\"";
_dadd = "60";
 //BA.debugLineNum = 481;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 482;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 56:
 //BA.debugLineNum = 484;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 485;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 486;BA.debugLine="Dadd = \"61\"";
_dadd = "61";
 //BA.debugLineNum = 487;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 488;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 57:
 //BA.debugLineNum = 490;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 491;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 492;BA.debugLine="Dadd = \"61\"";
_dadd = "61";
 //BA.debugLineNum = 493;BA.debugLine="Cmndata = \"3\"";
_cmndata = "3";
 //BA.debugLineNum = 494;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 58:
 //BA.debugLineNum = 496;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 497;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 498;BA.debugLine="Dadd = \"61\"";
_dadd = "61";
 //BA.debugLineNum = 499;BA.debugLine="Cmndata = \"1\"";
_cmndata = "1";
 //BA.debugLineNum = 500;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 59:
 //BA.debugLineNum = 502;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 503;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 504;BA.debugLine="Dadd = \"34\"";
_dadd = "34";
 //BA.debugLineNum = 505;BA.debugLine="Cmndata = \"5\"";
_cmndata = "5";
 //BA.debugLineNum = 506;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 60:
 //BA.debugLineNum = 508;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 509;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 510;BA.debugLine="Dadd = \"35\"";
_dadd = "35";
 //BA.debugLineNum = 511;BA.debugLine="Cmndata = \"8\"";
_cmndata = "8";
 //BA.debugLineNum = 512;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 61:
 //BA.debugLineNum = 514;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 515;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 516;BA.debugLine="Dadd = \"36\"";
_dadd = "36";
 //BA.debugLineNum = 517;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 518;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 62:
 //BA.debugLineNum = 520;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 521;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 522;BA.debugLine="Dadd = \"25\"";
_dadd = "25";
 //BA.debugLineNum = 523;BA.debugLine="Cmndata = \"2\"";
_cmndata = "2";
 //BA.debugLineNum = 524;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 63:
 //BA.debugLineNum = 526;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 527;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 528;BA.debugLine="Dadd = \"11\"";
_dadd = "11";
 //BA.debugLineNum = 529;BA.debugLine="Cmndata = \"9\"";
_cmndata = "9";
 //BA.debugLineNum = 530;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 64:
 //BA.debugLineNum = 532;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 533;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 534;BA.debugLine="Dadd = \"66\"";
_dadd = "66";
 //BA.debugLineNum = 535;BA.debugLine="Cmndata = \"0\"";
_cmndata = "0";
 //BA.debugLineNum = 536;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
case 65:
 //BA.debugLineNum = 538;BA.debugLine="Cntrlcod = \"ST\"";
_cntrlcod = "ST";
 //BA.debugLineNum = 539;BA.debugLine="Actcom = \"N\"";
_actcom = "N";
 //BA.debugLineNum = 540;BA.debugLine="Dadd = \"76\"";
_dadd = "76";
 //BA.debugLineNum = 541;BA.debugLine="Cmndata = \"9\"";
_cmndata = "9";
 //BA.debugLineNum = 542;BA.debugLine="TcpSend.Writetcp";
mostCurrent._tcpsend._writetcp(mostCurrent.activityBA);
 break;
}
;
 };
 //BA.debugLineNum = 546;BA.debugLine="End Sub";
return "";
}
}
